Remove gcc_fixes.h. It only contains workarounds for unsupported gcc versions.
[ffmpeg.git] / libavcodec / ppc / util_altivec.h
index 74fc2ab1ce8f341a5ea52a80276f9a45012790d8..9bf7e390acd8efa38508e8d18f5e5f0c3f0153dc 100644 (file)
  */
 
 /**
- * @file util_altivec.h
+ * @file libavcodec/ppc/util_altivec.h
  * Contains misc utility macros and inline functions
  */
 
-#ifndef FFMPEG_UTIL_ALTIVEC_H
-#define FFMPEG_UTIL_ALTIVEC_H
+#ifndef AVCODEC_PPC_UTIL_ALTIVEC_H
+#define AVCODEC_PPC_UTIL_ALTIVEC_H
 
 #include <stdint.h>
 
 #include "config.h"
 
-#ifdef HAVE_ALTIVEC_H
+#if HAVE_ALTIVEC_H
 #include <altivec.h>
 #endif
 
@@ -102,4 +102,4 @@ static inline vector unsigned char unaligned_load(int offset, uint8_t *src)
     return vec_perm(first, second, mask);
 }
 
-#endif /* FFMPEG_UTIL_ALTIVEC_H */
+#endif /* AVCODEC_PPC_UTIL_ALTIVEC_H */